Create a list
POST
/lists
const url = 'https://app.whatsetter.com/api/v1/lists';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"CRM sync, hot leads"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.whatsetter.com/api/v1/lists \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "CRM sync, hot leads" }'Creates an empty list you can then push leads into.
Requires scope lists:write.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
string
Responses
Section titled “Responses”Created
Media typeapplication/json
object
data
object
id
string
name
string | null
status
string | null
total_rows
integer
valid_leads
integer
invalid_leads
integer
created_at
string format: date-time
Examplegenerated
{ "data": { "id": "example", "name": "example", "status": "example", "total_rows": 1, "valid_leads": 1, "invalid_leads": 1, "created_at": "2026-04-15T12:00:00Z" }}Missing, unknown or revoked API key
Media typeapplication/json
object
error
object
code
string
message
string
Examplegenerated
{ "error": { "code": "example", "message": "example" }}Invalid parameter or body
Media typeapplication/json
object
error
object
code
string
message
string
Examplegenerated
{ "error": { "code": "example", "message": "example" }}
